package com.kingdee.eas.custom.permissioncontrol;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PermApplyBillCollection extends AbstractObjectCollection 
{
    public PermApplyBillCollection()
    {
        super(PermApplyBillInfo.class);
    }
    public boolean add(PermApplyBillInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PermApplyBillCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PermApplyBillInfo item)
    {
        return removeObject(item);
    }
    public PermApplyBillInfo get(int index)
    {
        return(PermApplyBillInfo)getObject(index);
    }
    public PermApplyBillInfo get(Object key)
    {
        return(PermApplyBillInfo)getObject(key);
    }
    public void set(int index, PermApplyBillInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PermApplyBillInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PermApplyBillInfo item)
    {
        return super.indexOf(item);
    }
}